> This page is for version latest (default).
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Get Network

GET https://api.machanirobotics.com/v1/management/networks/{network}

Retrieves a specific NetworkDevice resource.
 Returns the requested network's details including its type, hardware address, and current connection status.

Reference: https://docs.machanirobotics.dev/latest/2026-01-16-dev/network-service/getnetwork

## Request

### Path parameters

- `network` (string, required) — The network id.

## Response

### 200

OK

- `name` (string, optional) — Identifier for the network device resource. Format: //system.v1.engine.core.machanirobotics.com/networks/\{network}
- `iface` (string, optional) — System interface name for the network device (e.g., "wlan0", "eth0"). This field is populated by the system and cannot be modified by clients.
- `networkType` (integer, optional) — The type of network device. This field is populated by the system and cannot be modified by clients.
- `hardwareAddress` (string, optional) — MAC address of the network interface in standard format (e.g., "00:11:22:33:44:55"). This field is populated by the system and cannot be modified by clients.
- `activeConnection` (string, optional) — Reference to an active network connection if this device is currently connected. If the device is not connected, this field will not be present. This field is populated by the system and cannot be modified by clients. Format: //system.v1.engine.core.machanirobotics.com/devices/\{device}/activeConnection

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "name": "//system.v1.engine.core.machanirobotics.com/networks/wlan0",
  "iface": "wlan0",
  "networkType": 2,
  "hardwareAddress": "00:1A:2B:3C:4D:5E",
  "activeConnection": "//system.v1.engine.core.machanirobotics.com/devices/wlan0/activeConnection"
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/management/networks/network"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/management/networks/network';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/management/networks/network"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/management/networks/network")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.machanirobotics.com/v1/management/networks/network")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.machanirobotics.com/v1/management/networks/network', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/management/networks/network");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/management/networks/network")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```